GNU bug report logs - #23245
25.0.92; cua-mode inhibits deactivate-region-hook

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Thomas Frössman <thomasf@HIDDEN>; dated Fri, 8 Apr 2016 16:55:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 23245 <at> debbugs.gnu.org:


Received: (at 23245) by debbugs.gnu.org; 10 Apr 2016 18:08:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 10 14:08:41 2016
Received: from localhost ([127.0.0.1]:57481 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1apJmr-00086N-JY
	for submit <at> debbugs.gnu.org; Sun, 10 Apr 2016 14:08:41 -0400
Received: from mail-lf0-f48.google.com ([209.85.215.48]:35307)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <thomasf@HIDDEN>) id 1apJmp-000868-Hk
 for 23245 <at> debbugs.gnu.org; Sun, 10 Apr 2016 14:08:40 -0400
Received: by mail-lf0-f48.google.com with SMTP id c126so130460656lfb.2
 for <23245 <at> debbugs.gnu.org>; Sun, 10 Apr 2016 11:08:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=jossystem-se.20150623.gappssmtp.com; s=20150623;
 h=from:to:subject:date:in-reply-to:message-id:user-agent:mime-version
 :content-transfer-encoding;
 bh=II3W+1sCH0IC8rgPj8RKim1UsfzPSmDYicL9POmPNa8=;
 b=WExcn+EObZ39KxZ0T+AgKL7GaoZu0cAa1ypzGXjHcMjxPAkA4LHEuNyGhj3ici0tf/
 ZXboAAStc5d8MoNIS0gPeNZPd7lmaZRWu6jnuLwnBQTxAPH+qzVGhGSYEu8e2vF5+Llj
 AxxvXGA42clrXu+vwLCQvZ2ySNd/MkSom/grKvIOp1455zwvt2VPGxE57dcAnhqPs/8G
 G0DK3MFLpVIJv04R75tKYk9Q7cig3Htw5AvnuKtEpxd2vWsfdRkTsan4h+gItLFOiPKi
 SXe2aMxERIpNYsbM9pqAV5iwDLNG7J2ZNZ67dCXXiEPPyiQneslTJdrFCiysT7dylHwa
 DAJA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:subject:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=II3W+1sCH0IC8rgPj8RKim1UsfzPSmDYicL9POmPNa8=;
 b=TN6ExRbxDZ8+BWpJQO7qtDzezgeWzrFgJZ/KC3Kz5xm0o/uwMA+KZU9YatgDgAJFpl
 h7J1pes+7d6GAuuhOjvh4F5oOo1pbCEmKSAv4c+lU1VIs9VWkld74CxgW3K8Z2GqtEzE
 /KR43u9D4+cyu/w2jwiQRwqCNq/QHJ8biCSz02tJboV6B/2u1VFJgNI4QWBQmEOSBOs6
 a5inFLFs7hvFyob8YRc2pN2jtZoepXSMBYJRYgovHt77uI/F2d0rdaF8G8mpSksVRc8K
 1tHqVnLwIIzRE99Wsuck+gcvJKR0VpcK6XoZorJ6PIi7MRoXX4VRqU85lTElx6g1VFt8
 OqhA==
X-Gm-Message-State: AD7BkJKUpm0j2H78wWMOQbqmRr11/PXPLuZhZzoyRI7tcsVE88uaah2yoBjLCPETm/Yqjw==
X-Received: by 10.25.90.73 with SMTP id o70mr7092386lfb.80.1460311713657;
 Sun, 10 Apr 2016 11:08:33 -0700 (PDT)
Received: from transwhale (c-d23de155.131-1-64736c11.cust.bredbandsbolaget.se.
 [85.225.61.210])
 by smtp.gmail.com with ESMTPSA id dw3sm1830386lbc.2.2016.04.10.11.08.32
 for <23245 <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 10 Apr 2016 11:08:32 -0700 (PDT)
From: thomasf@HIDDEN (Thomas =?utf-8?Q?Fr=C3=B6ssman?=)
To: bug#23245 <23245 <at> debbugs.gnu.org>
Subject: Re: Status: 25.0.92; cua-mode inhibits deactivate-region-hook
Date: Sun, 10 Apr 2016 20:08:31 +0200
In-Reply-To: bug's message of "Sun\, 10 Apr 2016 18\:02\:19 +0000"
Message-ID: <87y48l8hgg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.92 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 23245
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)



quoted from my e-mail in emacs-devel which I was told not to post to:

>> ...
>> Anyway, I think that it's an actual bug with cua-mode or something becau=
se the deactivate-mark-hook isn't
>> fired when the region is removed, repeated pressing of C-g doesn't fire =
it either.
>>=20
>> It's also a consistent behavior, when cua-mode is active the deactivate-=
mark hook is not fired
>>=20
>> (by using git blame) I noticed that there was a change in September last=
 year or something which modifies
>> some bits about how cua-mode handles the mark.
>>=20
>> Please tell me if I'm wrong or if there is some additional digging I sho=
uld do to further diagnose this issue..=20
>
>Could you perhaps include in your bug report the details about how it
>worked in previous versions of Emacs?  If it worked correctly in some
>older version, could you please tell in which one, and what was the
>behavior?
>
>Thanks.

I switched from running emacs compiled from the emacs-24 branch to the
emacs-25 branch a few days ago.

I just ran my previously mentioned test.el init file in the emacs-24
compile now and hitting C-g twice after selecting some text deactives
the mark and runs the deactivate-mark-hook (DM is printed in the
messages buffer) which does not happen with my emacs-25 binary.


--=20
Thomas Fr=C3=B6ssman
http://t.jossystem.se




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23245; Package emacs. Full text available.

Message received at 23245 <at> debbugs.gnu.org:


Received: (at 23245) by debbugs.gnu.org; 8 Apr 2016 17:56:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 08 13:56:44 2016
Received: from localhost ([127.0.0.1]:54872 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aoaeC-0003u9-Ki
	for submit <at> debbugs.gnu.org; Fri, 08 Apr 2016 13:56:44 -0400
Received: from mail-lf0-f46.google.com ([209.85.215.46]:34041)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <thomasf@HIDDEN>) id 1aoaeA-0003tv-AL
 for 23245 <at> debbugs.gnu.org; Fri, 08 Apr 2016 13:56:42 -0400
Received: by mail-lf0-f46.google.com with SMTP id j11so85986012lfb.1
 for <23245 <at> debbugs.gnu.org>; Fri, 08 Apr 2016 10:56:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=jossystem-se.20150623.gappssmtp.com; s=20150623;
 h=mime-version:from:date:message-id:subject:to;
 bh=Rxqy6srv32KJKlxjk+09p0hOsSH0Tl3ZYKImOznxOzM=;
 b=0zTZlp0hSJpWR+XZFC6707qCKBq8TGjJ7CfBkAAwoKd16oJgQL2SJMozwZjQ1CG304
 SjphdcK56ahWG4itBnCTQdKu85o+/0OvGKLSPK8CusSjKVEwh64gWXup93KshTt88iu/
 ymje6DRpcFJ8Ja7EhTmia1UKcHZ3m4Kb1SWf72wWrYl+mp8kpmYXVr6O9BJMLjT6Vczx
 y7g/jhZbfSe7yYhVNWKaLLECIZEn2DhHXZxwa6ViXEzkHbfyxAtsVPhzNO1w1behRRHY
 25M+pXWlox6bhFL3AZpzo1/44Hlefmi6Ral9vdTZLs2xeFDrEtFdEoF5XqXTh+hkPBbl
 4BYQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=Rxqy6srv32KJKlxjk+09p0hOsSH0Tl3ZYKImOznxOzM=;
 b=L75UQ5HaSIP0SA/rGxr+lhZtlYcmIfMcnT7sL93+ghzWJ/yFaVZetger1pytEbKPck
 VStao+1Q+kdTpjH634tHn7v3vbKjzWCt1ys9niEOcHtIgiAu2ENsPvwWZlpOn5ckCCc3
 GnP6gZKkLEZLM7GqH88CO9adCN6HLEg/As8nyeAvlr3xoXZnwI4TE4Rd1cM5IhWwgylU
 X/Eykc1EcvK364XPlNir4F6FCTcCDxSZvKSYE5UHF647peWSdXf8sqPDP7x+7/qPzB6z
 uZL7ZceL8qsZsFrUM0kWvvOm5fFRNu9KWeFT2FWrG4pmY1mtfR1YwQEq0N5krGxCMdja
 hOVg==
X-Gm-Message-State: AD7BkJIIWD/Mf15oRn+y0TGrSxBUNF5mioOY9wlJDFH1oRFAyj6Qhe/21+tjBNqUPAgrZtIz7OZAuudQgWMEFQ==
X-Received: by 10.25.26.75 with SMTP id a72mr4083437lfa.17.1460138196141; Fri,
 08 Apr 2016 10:56:36 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.25.154.7 with HTTP; Fri, 8 Apr 2016 10:56:16 -0700 (PDT)
From: =?UTF-8?Q?Thomas_Fr=C3=B6ssman?= <thomasf@HIDDEN>
Date: Fri, 8 Apr 2016 19:56:16 +0200
Message-ID: <CANDWisAWs4poqtHGW7iMH4YbECUecFer7AR_ARYOSG0J+gt59Q@HIDDEN>
Subject: 
To: 23245 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary=001a1140204a81231c052ffceaac
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: I mixed up the mark/region functions a bit while testing so
 maybe it's not an emacs bug. I will continue to investigate later. My actual
 problem is resolved by deactivating cua-mode and this did not happen in emacs
 24.x.. [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 HTML_MESSAGE           BODY: HTML included in message
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.215.46 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [209.85.215.46 listed in list.dnswl.org]
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 2.0 BLANK_SUBJECT          Subject is present but empty
X-Debbugs-Envelope-To: 23245
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  I mixed up the mark/region functions a bit while testing so
    maybe it's not an emacs bug. I will continue to investigate later. My actual
    problem is resolved by deactivating cua-mode and this did not happen in emacs
    24.x.. [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [209.85.215.46 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.215.46 listed in wl.mailspike.net]
  0.0 HTML_MESSAGE           BODY: HTML included in message
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  2.0 BLANK_SUBJECT          Subject is present but empty

--001a1140204a81231c052ffceaac
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

I mixed up the mark/region functions a bit while testing so maybe it's not
an emacs bug. I will continue to investigate later.

My actual problem is resolved by deactivating cua-mode and this did not
happen in emacs 24.x..

The NEWS file says that "deactivate-mark is now buffer local".. that could
maybe be related.


--=20
Thomas Fr=C3=B6ssman
http://t.jossystem.se

--001a1140204a81231c052ffceaac
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br clear=3D"all"><div><div>I mixed up the mark/region fun=
ctions a bit while testing so maybe it&#39;s not an emacs bug. I will conti=
nue to investigate later.</div></div><div><br></div><div>My actual problem =
is resolved by deactivating cua-mode and this did not happen in emacs 24.x.=
.</div><div>=C2=A0</div><div>The NEWS file says that &quot;deactivate-mark =
is now buffer local&quot;.. that could maybe be related.</div><div><br></di=
v><div><br></div>-- <br><div class=3D"gmail_signature">Thomas Fr=C3=B6ssman=
<div><div><a href=3D"http://t.jossystem.se" target=3D"_blank">http://t.joss=
ystem.se</a></div></div></div>
</div>

--001a1140204a81231c052ffceaac--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23245; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Apr 2016 17:21:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 08 13:21:45 2016
Received: from localhost ([127.0.0.1]:54856 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aoa6L-00030N-7z
	for submit <at> debbugs.gnu.org; Fri, 08 Apr 2016 13:21:45 -0400
Received: from eggs.gnu.org ([208.118.235.92]:56885)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <thomasf@HIDDEN>) id 1aoZeo-0002Hn-0r
 for submit <at> debbugs.gnu.org; Fri, 08 Apr 2016 12:53:18 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <thomasf@HIDDEN>) id 1aoZeh-000547-TE
 for submit <at> debbugs.gnu.org; Fri, 08 Apr 2016 12:53:12 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,HTML_MESSAGE,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:48128)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <thomasf@HIDDEN>) id 1aoZeh-000543-Q9
 for submit <at> debbugs.gnu.org; Fri, 08 Apr 2016 12:53:11 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:47851)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <thomasf@HIDDEN>) id 1aoZeg-0006o9-Hj
 for bug-gnu-emacs@HIDDEN; Fri, 08 Apr 2016 12:53:11 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <thomasf@HIDDEN>) id 1aoZef-00053d-AV
 for bug-gnu-emacs@HIDDEN; Fri, 08 Apr 2016 12:53:10 -0400
Received: from mail-lf0-x234.google.com ([2a00:1450:4010:c07::234]:34159)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <thomasf@HIDDEN>) id 1aoZee-00053V-UL
 for bug-gnu-emacs@HIDDEN; Fri, 08 Apr 2016 12:53:09 -0400
Received: by mail-lf0-x234.google.com with SMTP id j11so83975932lfb.1
 for <bug-gnu-emacs@HIDDEN>; Fri, 08 Apr 2016 09:53:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=jossystem-se.20150623.gappssmtp.com; s=20150623;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to;
 bh=I01ubKK5J3EaJUQTHjjP9ZftSQuEWSo6s1s7fa3I/H8=;
 b=x2FEKx0BRuQOcAf+1Vo2zoa7pA1OQBL77jN4tOXIDz2ClncWfmAbVrSO0bcA7V16oz
 o0g2aN7s+jJMyWyh/W9VN1Xy+ItRDcpTwS0y5vGnbkqTtvyisD3FOSlHejYTCyu19hZ9
 L0QS5zwTi15XoFLkH2AmjPWkqol4zKfXRjvM93noYSXTefbGndDaj2FhRuN4hDIv5gry
 g7s/fjpVulWdp9d3Cj4ilJ2yj1Utm/pFUC96PLRo35w6cTGMRTUz1Z41XnqfwkNAou62
 9c5/ALrkEkCzjwM5o1ryQMyFFhO6owbpwZZz6NQzZ3rQ7UW0NoWq59sah2k0kU4niDhx
 N63Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to;
 bh=I01ubKK5J3EaJUQTHjjP9ZftSQuEWSo6s1s7fa3I/H8=;
 b=Et9KRnj0JGlcJslGKN6MWIEV281mix7p0SgerqDWliyTqE6My/QeNGFl7r1q2s+LQI
 EaTk/AMS4AkvcSmSCsiRafqHUCu+V16/WzTlQv4qLh6toRK+DfRN4EYBj8kJ9A247fwL
 c+8uv0iG6c6Freai6LIGxEtXG/dSuQUSJ4KkJwp17zX3UxkuS1zW+whWArZSHjtL0y0e
 /NnylHoupOIbZjX1uwFu3WXepRH8oWy67RCxB5FMwsSmpVgRfsZqs/JPFg1gOt95xgXc
 Z4jCFEq3FiPE98tmAzlFEgE+BFXvCmoobv6Ectow6UBLzmxTXGiZpH93tvzzvT9c+xou
 l+YA==
X-Gm-Message-State: AD7BkJI+sCCXhgEUBiqSQ/W5EIMQbK7FmI/EZRwGoDFuPK2J3kw5l/ilWAc9xXJ8VpcaKVSlccx66orfd15Ttg==
X-Received: by 10.112.125.9 with SMTP id mm9mr3307617lbb.113.1460134388123;
 Fri, 08 Apr 2016 09:53:08 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.25.154.7 with HTTP; Fri, 8 Apr 2016 09:52:48 -0700 (PDT)
In-Reply-To: <87egagt57g.fsf@HIDDEN>
References: <87egagt57g.fsf@HIDDEN>
From: =?UTF-8?Q?Thomas_Fr=C3=B6ssman?= <thomasf@HIDDEN>
Date: Fri, 8 Apr 2016 18:52:48 +0200
Message-ID: <CANDWisB9eq7JxWcRB3kRk4VTD07tF+AzGrNgnWsYTT5QDE=L+Q@HIDDEN>
Subject: Re: 25.0.92; cua-mode inhibits deactivate-region-hook
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=089e0112c0228764a7052ffc0744
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 08 Apr 2016 13:21:44 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

--089e0112c0228764a7052ffc0744
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

doh, I mixed up the mark/region functions a bit while testing.. Maybe it's
not a bug then. I will continue to investigate later.

On Fri, Apr 8, 2016 at 6:50 PM, Thomas Fr=C3=B6ssman <thomasf@HIDDEN>
wrote:

> I noticed that https://github.com/fgallina/region-bindings-mode started
> to fail to deactive from time to time after I swiched to the emacs-25
> branch.
>
> I think I have tracked the problem down to cua-mode being the thing
> which causes this.
>
> I have been able to reproduce this problem.  If i use the init.el below
> and repeatadly activates and deactivates regions for a while an AM
> is logged to the messages buffer without a DM following the
> deactivation, after this (region-active-p) evaluates to nil but there
> was to deactivation hook fired.
>
> (defun AM ()
>   (message "AM"))
> (defun DM ()
>   (message "DM" ))
> (add-hook 'activate-mark-hook 'AM)
> (add-hook 'deactivate-mark-hook 'DM)
> (cua-mode)
>
>
>
> In GNU Emacs 25.0.92.8 (x86_64-unknown-linux-gnu, GTK+ Version 3.16.7)
>  of 2016-04-08 built on transwhale
> Repository revision: 7ad1d075b940f276adaf3b6bb0c024079c403f80
> Windowing system distributor 'The X.Org Foundation', version 11.0.1170200=
0
> System Description:     Ubuntu 15.10
>
> Configured using:
>  'configure --with-x-toolkit=3Dgtk3 --with-file-notification=3Dinotify
>  --without-pop --without-toolkit-scroll-bars --with-xwidgets'
>
> Configured features:
> XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS NOTIFY
> ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB GTK3 X11 XWIDGETS
>
> Important settings:
>   value of $LC_COLLATE: sv_SE.utf8
>   value of $LC_CTYPE: sv_SE.utf8
>   value of $LC_MESSAGES: en_US.utf8
>   value of $LC_MONETARY: sv_SE.utf8
>   value of $LC_NUMERIC: sv_SE.utf8
>   value of $LC_TIME: sv_SE.utf8
>   value of $LANG: en_US.utf8
>   locale-coding-system: utf-8
>
>


--=20
Thomas Fr=C3=B6ssman
http://t.jossystem.se

--089e0112c0228764a7052ffc0744
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">doh, I mixed up the mark/region functions a bit while test=
ing.. Maybe it&#39;s not a bug then. I will continue to investigate later.<=
/div><div class=3D"gmail_extra"><br><div class=3D"gmail_quote">On Fri, Apr =
8, 2016 at 6:50 PM, Thomas Fr=C3=B6ssman <span dir=3D"ltr">&lt;<a href=3D"m=
ailto:thomasf@HIDDEN" target=3D"_blank">thomasf@HIDDEN</a>&gt;<=
/span> wrote:<br><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8=
ex;border-left:1px #ccc solid;padding-left:1ex">I noticed that <a href=3D"h=
ttps://github.com/fgallina/region-bindings-mode" rel=3D"noreferrer" target=
=3D"_blank">https://github.com/fgallina/region-bindings-mode</a> started<br=
>
to fail to deactive from time to time after I swiched to the emacs-25<br>
branch.<br>
<br>
I think I have tracked the problem down to cua-mode being the thing<br>
which causes this.<br>
<br>
I have been able to reproduce this problem.=C2=A0 If i use the init.el belo=
w<br>
and repeatadly activates and deactivates regions for a while an AM<br>
is logged to the messages buffer without a DM following the<br>
deactivation, after this (region-active-p) evaluates to nil but there<br>
was to deactivation hook fired.<br>
<br>
(defun AM ()<br>
=C2=A0 (message &quot;AM&quot;))<br>
(defun DM ()<br>
=C2=A0 (message &quot;DM&quot; ))<br>
(add-hook &#39;activate-mark-hook &#39;AM)<br>
(add-hook &#39;deactivate-mark-hook &#39;DM)<br>
(cua-mode)<br>
<br>
<br>
<br>
In GNU Emacs 25.0.92.8 (x86_64-unknown-linux-gnu, GTK+ Version 3.16.7)<br>
=C2=A0of 2016-04-08 built on transwhale<br>
Repository revision: 7ad1d075b940f276adaf3b6bb0c024079c403f80<br>
Windowing system distributor &#39;The X.Org Foundation&#39;, version 11.0.1=
1702000<br>
System Description:=C2=A0 =C2=A0 =C2=A0Ubuntu 15.10<br>
<br>
Configured using:<br>
=C2=A0&#39;configure --with-x-toolkit=3Dgtk3 --with-file-notification=3Dino=
tify<br>
=C2=A0--without-pop --without-toolkit-scroll-bars --with-xwidgets&#39;<br>
<br>
Configured features:<br>
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS NOTIFY<br>
ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB GTK3 X11 XWIDGETS<br>
<br>
Important settings:<br>
=C2=A0 value of $LC_COLLATE: sv_SE.utf8<br>
=C2=A0 value of $LC_CTYPE: sv_SE.utf8<br>
=C2=A0 value of $LC_MESSAGES: en_US.utf8<br>
=C2=A0 value of $LC_MONETARY: sv_SE.utf8<br>
=C2=A0 value of $LC_NUMERIC: sv_SE.utf8<br>
=C2=A0 value of $LC_TIME: sv_SE.utf8<br>
=C2=A0 value of $LANG: en_US.utf8<br>
=C2=A0 locale-coding-system: utf-8<br>
<br>
</blockquote></div><br><br clear=3D"all"><div><br></div>-- <br><div class=
=3D"gmail_signature">Thomas Fr=C3=B6ssman<div><div><a href=3D"http://t.joss=
ystem.se" target=3D"_blank">http://t.jossystem.se</a></div></div></div>
</div>

--089e0112c0228764a7052ffc0744--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23245; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Apr 2016 16:54:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 08 12:54:37 2016
Received: from localhost ([127.0.0.1]:54843 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aoZg5-0002Jr-Ie
	for submit <at> debbugs.gnu.org; Fri, 08 Apr 2016 12:54:37 -0400
Received: from eggs.gnu.org ([208.118.235.92]:56391)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <thomasf@HIDDEN>) id 1aoZci-0002Ek-SZ
 for submit <at> debbugs.gnu.org; Fri, 08 Apr 2016 12:51:09 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <thomasf@HIDDEN>) id 1aoZcc-0004GK-RE
 for submit <at> debbugs.gnu.org; Fri, 08 Apr 2016 12:51:03 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:50005)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <thomasf@HIDDEN>) id 1aoZcc-0004GG-O5
 for submit <at> debbugs.gnu.org; Fri, 08 Apr 2016 12:51:02 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:47333)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <thomasf@HIDDEN>) id 1aoZcY-0004RF-Eg
 for bug-gnu-emacs@HIDDEN; Fri, 08 Apr 2016 12:51:02 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <thomasf@HIDDEN>) id 1aoZcU-0004F9-6j
 for bug-gnu-emacs@HIDDEN; Fri, 08 Apr 2016 12:50:58 -0400
Received: from mail-lf0-x230.google.com ([2a00:1450:4010:c07::230]:34102)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <thomasf@HIDDEN>) id 1aoZcT-0004Eu-Tb
 for bug-gnu-emacs@HIDDEN; Fri, 08 Apr 2016 12:50:54 -0400
Received: by mail-lf0-x230.google.com with SMTP id j11so83900688lfb.1
 for <bug-gnu-emacs@HIDDEN>; Fri, 08 Apr 2016 09:50:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=jossystem-se.20150623.gappssmtp.com; s=20150623;
 h=user-agent:from:to:subject:date:message-id:mime-version;
 bh=OkBNkigQ2qXVXtHDiyRQagIChdkGV0a2BVro+1sJQxk=;
 b=f7fCTLkPOHkZ1bBDuliTKKjTIIT00R9C3u/a9a9oPVSyrol0W3rQoshuyvroN3lGZ0
 WJSQrRhv8sOawq4WcKQVc8D6tV0fUomV92yAMef+fzbRkWYp9iD7ZHzzOlbmpOWfwNFz
 U3JnZa/yemjEeyLJjICVGFcy7Z374MoykLzxnVT7CjfdxlRGydzrazNTfUIVl+PPf+6a
 CdrgTH1Ccu/vtagswMSE01JDSw4RAsA8fCxVYFNwWAijivqeS4in1ofTSsG5W+/X2TCt
 HZPwXeFMHQNdTTFOuP2jxNulyQKM936xYLzatOJtKXB5e6zg+VhBN38NgkDa1SAxGJpU
 jq/w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:user-agent:from:to:subject:date:message-id
 :mime-version;
 bh=OkBNkigQ2qXVXtHDiyRQagIChdkGV0a2BVro+1sJQxk=;
 b=LtIGpudUz3XYD4VCqbm6Qxoe6RMaqC1DaEeeQxsGQ1yISYtae6NcLRsttAuIpdIil3
 MVgCNpWrsPVjk2ZMhBJEo4CxNJbXaJrfM2Oye2fO/2hJoQOMqD6poMl8IQSB5/ZyfKI1
 oQCxNNBff/dDRnpQxN/jbLGampuiAap8RXRFPEkxzBrGXLigcJnju1K2z/5Umulyjxbt
 qxS1FkTDYZrVVkUVapCn7bPZQZdadwUINiBs8hMnDhI8AeT4AW/1MLYEyjDveekta2P7
 4KF21vVo4emOYZL3gxrwwS1WRFl2V5juGvEh7hG8XfYPaYDhyYBmNKFV7awCNI70xCUs
 V2bQ==
X-Gm-Message-State: AD7BkJL0mhrrUkXMFfGVwe/IGK4LUEy9xajcJcIz7rJeSXSnYoaloTrRAjlIxlYf34Dong==
X-Received: by 10.25.16.103 with SMTP id f100mr3262504lfi.90.1460134252453;
 Fri, 08 Apr 2016 09:50:52 -0700 (PDT)
Received: from transwhale (c-d23de155.131-1-64736c11.cust.bredbandsbolaget.se.
 [85.225.61.210])
 by smtp.gmail.com with ESMTPSA id m35sm2101046lfi.25.2016.04.08.09.50.51
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 08 Apr 2016 09:50:51 -0700 (PDT)
User-agent: mu4e 0.9.17; emacs 25.0.92.8
From: Thomas =?utf-8?Q?Fr=C3=B6ssman?= <thomasf@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 25.0.92; cua-mode inhibits deactivate-region-hook
Date: Fri, 08 Apr 2016 18:50:43 +0200
Message-ID: <87egagt57g.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 08 Apr 2016 12:54:35 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

I noticed that https://github.com/fgallina/region-bindings-mode started
to fail to deactive from time to time after I swiched to the emacs-25
branch.

I think I have tracked the problem down to cua-mode being the thing
which causes this.

I have been able to reproduce this problem.  If i use the init.el below
and repeatadly activates and deactivates regions for a while an AM
is logged to the messages buffer without a DM following the
deactivation, after this (region-active-p) evaluates to nil but there
was to deactivation hook fired.

(defun AM ()
  (message "AM"))
(defun DM ()
  (message "DM" ))
(add-hook 'activate-mark-hook 'AM)
(add-hook 'deactivate-mark-hook 'DM)
(cua-mode)



In GNU Emacs 25.0.92.8 (x86_64-unknown-linux-gnu, GTK+ Version 3.16.7)
 of 2016-04-08 built on transwhale
Repository revision: 7ad1d075b940f276adaf3b6bb0c024079c403f80
Windowing system distributor 'The X.Org Foundation', version 11.0.11702000
System Description:	Ubuntu 15.10

Configured using:
 'configure --with-x-toolkit=gtk3 --with-file-notification=inotify
 --without-pop --without-toolkit-scroll-bars --with-xwidgets'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS NOTIFY
ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB GTK3 X11 XWIDGETS

Important settings:
  value of $LC_COLLATE: sv_SE.utf8
  value of $LC_CTYPE: sv_SE.utf8
  value of $LC_MESSAGES: en_US.utf8
  value of $LC_MONETARY: sv_SE.utf8
  value of $LC_NUMERIC: sv_SE.utf8
  value of $LC_TIME: sv_SE.utf8
  value of $LANG: en_US.utf8
  locale-coding-system: utf-8





Acknowledgement sent to Thomas Frössman <thomasf@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#23245; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.